Subject: Re: [MMUSIC] Review of draft-ietf-mmusic-ice-sip-sdp-23.

From: Ben Campbell <[email-masked]>
Date: Mon, 5 Nov 2018 08:22:12 +0700

Hi Christer,

Do Suhas’s responses address your concerns?

Thanks!

Ben.

> On Oct 31, 2018, at 9:47 AM, Suhas Nandakumar <[email-masked]> wrote:
> 
> Hello Christer,
> 
> Thanks for Marc for helping dig through the answers for Q3 and Q4 since they dated back when original ICE was in draft stages.
> 
> Please see inline.
> 
> On Thu, Oct 18, 2018 at 1:19 AM Christer Holmberg <[email-masked]> wrote:
> Hi,
> 
> I have reviewed draft-ietf-mmusic-ice-sip-sdp-23.
> 
> While I do think that the text could still use some editorial improvements, technically I think the document is ready to move forward.
> 
> I do have some comments/questions on section 6.1.1., however:
> 
> Q1:
> 
> The name of the section is "Offer in INVITE", and then the text recommends gathering candidates before the INVITE is sent. How can you include candidates in the INVITE if you don't gather them before sending the INVITE?
> 
> I would suggest changing the section name to "Candidates in INVITE", and then say that it is recommended to collect candidates before sending the INVITE, so that the candidates can be provided in the INVITE.
> 
> 
> Q2:
> 
> I think there is too much text about provisional responses etc. I think it is enough to recommend that the answerer provides its candidates to the peer as soon as possible, in order to allow the connectivity checks etc to begin.
> 
> In addition, keep the text on how the answers can be sent, e.g., using PRACK or re-transmitting the provisional response.
> 
> 
> Q3:
> 
> Related to Q2, the text says:
> 
>  "Such retransmissions MUST cease on receipt of a STUN Binding request for
>    one of the data streams signaled in that SDP..."
> 
> I think you need to describe (or, if it is described elsewhere, reference) how the STUN Binding request is mapped to the data stream signalled in SDP.
> 
> The context for this comes from
> 
> "* clarified usage guidelines for the STUN reliable 1xx hack. SHOULD
>    use PRACK if available.. Only works for certain provisional responses
>    (answers that start ICE). Retransmits cease on 2xx. Lack of Binding
>    Request doesnt terminate session. Answer in 2xx alone allowed but
>    not recommended."
> 
> https://www.ietf.org/mail-archive/web/mmusic/current/msg05126.html
> 
> 
> 
> 
> 
> Q4:
> 
> The text says:
> 
>    "For the ICE lite peers, the agent MUST cease retransmitting the 18x after sending it four times"
> 
> What is the justification for this?
> 
> This text was added in draft-ietf-mmusic-ice-16, back in 2007.  Jonathan's changelog entry for that modification is:
> 
> "* for 'poor mans RFC3262', if the offerer is lite, you won't get a
>    STUN Binding request to terminate 18x retransmits. For this case,
>    the spec now mandates no more than four retransmits of the
>    18x. Another reason to implement full."
> 
> https://www.ietf.org/mail-archive/web/mmusic/current/msg05863.html
> 
> 
> 
> 
> Regards,
> 
> 
> Christer
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 5 Nov 2018 02:36:34 +0000

Hi.

I still think the clarifications (Q3 and Q4) I asked for need to be in the draft. We can’t expect readers to look for 10+ year old email discussions. Also, I am not sure that the referenced email references really answer my questions.

Keep in mind that part of this whole ICEbis exercise was to clarify things.

Regarding Q4, the reason was that, back in the days, we didn’t want to mandate PRACK for ICE. Is that still an issue? Do people implement ICE without PRACK?

Regards,

Christer
________________________________
From: Ben Campbell <[email-masked]>
Sent: Monday, November 5, 2018 3:22:12 AM
To: Suhas Nandakumar
Cc: Christer Holmberg; [email-masked]; mmusic WG
Subject: Re: [MMUSIC] Review of draft-ietf-mmusic-ice-sip-sdp-23.

Hi Christer,

Thanks!

Ben.